#
# /etc/sysctl.conf - Configuration file for setting system variables
# See sysctl.conf (5) for information.
#

# Experimental: Write out once per second instead of every 5 seconds
vm/dirty_writeback_centisecs = 100

# Down from 60, since we should never need to swap.
vm/swappiness = 0

# Don't stop after (default) 10 stuck task warnings
kernel/hung_task_warnings = 100000

# Don't ARP for IPs not bound on the same interface (needed for LVS DR)
net/ipv4/conf/all/arp_announce = 2
net/ipv4/conf/all/arp_ignore = 1

# Enable TIME-WAIT reuse so that we don't run out of local ports for
# db-vip connections.  This was causing MailScanner to end up with a
# lot of zombie processes since it would exit on a DB connection error.
net/ipv4/tcp_tw_reuse = 1
